package com.template.services;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.template.model.pojo.SmartAuthority;
import com.template.model.pojo.SmartAuthority;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-12-04
 */
public interface SmartAuthorityService extends IService<SmartAuthority> {
    int insertSmartAuthority(SmartAuthority rns);

    int updateSmartAuthority(SmartAuthority rns);

    PageUtils<SmartAuthority> queryPageSmartAuthoritys(int currentPage, int pageCount, String name);

    int deleteSmartAuthorityById(int id);

    SmartAuthority getSmartById(int id);

    public List<SmartAuthority> getAuthorByKey(QueryWrapper<SmartAuthority> queryWrapper);

}
